Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config
Class AbstractSolverConfig

    java.lang.Object
      org.drools.planner.config.AbstractSolverConfig

Direct Known Subclasses:
  BruteForceSolverConfig, LocalSearchSolverConfig

    public abstract class AbstractSolverConfig

extends Object

Field Summary
`protected static long` | `DEFAULT_RANDOM_SEED`
`protected EnvironmentMode` | `environmentMode`
`protected Long` | `randomSeed`
`protected org.drools.RuleBase` | `ruleBase`
`protected ScoreDefinitionConfig` | `scoreDefinitionConfig`
`protected List<String>` | `scoreDrlList`
`protected StartingSolutionInitializer` | `startingSolutionInitializer`
`protected Class<StartingSolutionInitializer>` | `startingSolutionInitializerClass`

Constructor Summary
`AbstractSolverConfig()`

Method Summary
`abstract Solver` | `buildSolver()`
`StartingSolutionInitializer` | `buildStartingSolutionInitializer()`
`protected ScoreDefinition` | `configureAbstractSolver(AbstractSolver abstractSolver)`
`EnvironmentMode` | `getEnvironmentMode()`
`Long` | `getRandomSeed()`
`org.drools.RuleBase` | `getRuleBase()`
`ScoreDefinitionConfig` | `getScoreDefinitionConfig()`
`List<String>` | `getScoreDrlList()`
`StartingSolutionInitializer` | `getStartingSolutionInitializer()`
`Class<StartingSolutionInitializer>` | `getStartingSolutionInitializerClass()`
`void` | `inherit(AbstractSolverConfig inheritedConfig)`
`void` | `setEnvironmentMode(EnvironmentMode environmentMode)`
`void` | `setRandomSeed(Long randomSeed)`
`void` | `setRuleBase(org.drools.RuleBase ruleBase)`
`void` | `setScoreDefinitionConfig(ScoreDefinitionConfig scoreDefinitionConfig)`
`void` | `setScoreDrlList(List<String> scoreDrlList)`
`void` | `setStartingSolutionInitializer(StartingSolutionInitializer startingSolutionInitializer)`
`void` | `setStartingSolutionInitializerClass(Class<StartingSolutionInitializer> startingSolutionInitializerClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_RANDOM_SEED

    protected static final long DEFAULT_RANDOM_SEED

See Also:
  Constant Field Values

### environmentMode

    protected EnvironmentMode environmentMode

### randomSeed

    protected Long randomSeed

### ruleBase

    protected org.drools.RuleBase ruleBase

### scoreDrlList

    protected List<String> scoreDrlList

### scoreDefinitionConfig

    protected ScoreDefinitionConfig scoreDefinitionConfig

### startingSolutionInitializer

    protected StartingSolutionInitializer startingSolutionInitializer

### startingSolutionInitializerClass

    protected Class<StartingSolutionInitializer> startingSolutionInitializerClass

Constructor Detail

### AbstractSolverConfig

    public AbstractSolverConfig()

Method Detail

### getEnvironmentMode

    public EnvironmentMode getEnvironmentMode()

### setEnvironmentMode

    public void setEnvironmentMode(EnvironmentMode environmentMode)

### getRandomSeed

    public Long getRandomSeed()

### setRandomSeed

    public void setRandomSeed(Long randomSeed)

### getRuleBase

    public org.drools.RuleBase getRuleBase()

### setRuleBase

    public void setRuleBase(org.drools.RuleBase ruleBase)

### getScoreDrlList

    public List<String> getScoreDrlList()

### setScoreDrlList

    public void setScoreDrlList(List<String> scoreDrlList)

### getScoreDefinitionConfig

    public ScoreDefinitionConfig getScoreDefinitionConfig()

### setScoreDefinitionConfig

    public void setScoreDefinitionConfig(ScoreDefinitionConfig scoreDefinitionConfig)

### getStartingSolutionInitializer

    public StartingSolutionInitializer getStartingSolutionInitializer()

### setStartingSolutionInitializer

    public void setStartingSolutionInitializer(StartingSolutionInitializer startingSolutionInitializer)

### getStartingSolutionInitializerClass

    public Class<StartingSolutionInitializer> getStartingSolutionInitializerClass()

### setStartingSolutionInitializerClass

    public void setStartingSolutionInitializerClass(Class<StartingSolutionInitializer> startingSolutionInitializerClass)

### buildSolver

    public abstract Solver buildSolver()

### configureAbstractSolver

    protected ScoreDefinition configureAbstractSolver(AbstractSolver abstractSolver)

### buildStartingSolutionInitializer

    public StartingSolutionInitializer buildStartingSolutionInitializer()

### inherit

    public void inherit(AbstractSolverConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.